package cron

import (
	"github.com/robfig/cron"
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/service"
)

func StartCron() {
	c := cron.New()
	defer c.Start()

	c.AddFunc("0 0 0 * * *", service.CronStatusDetection) // 每天凌晨0点状态检测

	c.AddFunc("0 0 0 * * *", service.CronWorkOrderIssuance) // 每天凌晨0点扫描当天需下发工单
}
